﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{8E4E035C-2C76-4192-8665-237F9D746F33}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>SomeBoundedContext</RootNamespace>
    <AssemblyName>SomeBoundedContext</AssemblyName>
    <TargetFrameworkVersion>v4.7</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="StructureMap, Version=4.5.1.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\packages\StructureMap.4.5.2\lib\net45\StructureMap.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Application\SomeBusiness1_Area\SomeBusiness1ApplicationQueryService.cs" />
    <Compile Include="Application\SomeBusiness1_Area\SomeBusiness1ApplicationService.cs" />
    <Compile Include="Domain\SomeBusiness1_Area\SomeBusiness1AggregateRoot.cs" />
    <Compile Include="Infrastructure\DataBase\SomeImplemetationOfConcretDAO.cs" />
    <Compile Include="Infrastructure\DataBase\SomeImplemetationOfConcretReporitory.cs" />
    <Compile Include="Infrastructure\NServiceBus\SomeBusiness1_Area\SomeBusiness1AreaBusHandler.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="SomeBoundedContextMicroservice.cs" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="Application\SomeBusiness2_Area\" />
    <Folder Include="Domain\SomeBusiness2_Area\" />
    <Folder Include="Infrastructure\NServiceBus\SomeBusiness2_Area\" />
  </ItemGroup>
  <ItemGroup>
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\SomeBoundedContext.Contracts\SomeBoundedContext.Contracts.csproj">
      <Project>{7f968ca1-f355-473c-95bb-cdeb404535ac}</Project>
      <Name>SomeBoundedContext.Contracts</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>